All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class SubscriberDeliveryTransports

    com.sas.services.information.metadata.SubscriberDeliveryTransports

    public class SubscriberDeliveryTransports

Field Summary
`static java.lang.String` | `DELIVERY_TRANSPORT_CODE_EMAIL` Subscription delivery transport code: EMail
`static java.lang.String` | `DELIVERY_TRANSPORT_CODE_HTTP` Subscription delivery transport code: HTTP
`static java.lang.String` | `DELIVERY_TRANSPORT_CODE_NONE` Subscription delivery transport code: None
`static java.lang.String` | `DELIVERY_TRANSPORT_CODE_QUEUE` Subscription delivery transport code: Queue
`static java.lang.String` | `DELIVERY_TRANSPORT_CODE_WEBDAV` Subscription delivery transport code: WebDAV
`static int` | `SUBSCRIPTION_TYPE_CONTENT` Subscription type: content
`static int` | `SUBSCRIPTION_TYPE_EVENT` Subscription type: event

Constructor Summary
`SubscriberDeliveryTransports()`

Method Summary
`static java.lang.String` | `getDefaultDeliveryTransportCode(int subscriptionType)` Gets the code for the default delivery transport for the specified subscription type.
`static java.lang.String` | `getDeliveryTransportCode(int subscriptionType, int index)` Gets the delivery transport code for the specified subscription type and transport index.
`static java.lang.String` | `getDeliveryTransportResource(int subscriptionType, java.lang.String deliveryTransportCode)` Gets a localized string representing the specified delivery transport code for the specified subscription type.
`static java.lang.String[]` | `getLocalizedDeliveryTransports(int subscriptionType)` Gets an array of localized strings representing the valid delivery transports for the specified subscription type.

Field Detail

### SUBSCRIPTION_TYPE_CONTENT

    public static final int SUBSCRIPTION_TYPE_CONTENT

  Subscription type: content

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE_EVENT

    public static final int SUBSCRIPTION_TYPE_EVENT

  Subscription type: event

  See Also:
    Constant Field Values

### DELIVERY_TRANSPORT_CODE_EMAIL

    public static final java.lang.String DELIVERY_TRANSPORT_CODE_EMAIL

  Subscription delivery transport code: EMail

  See Also:
    Constant Field Values

### DELIVERY_TRANSPORT_CODE_HTTP

    public static final java.lang.String DELIVERY_TRANSPORT_CODE_HTTP

  Subscription delivery transport code: HTTP

  See Also:
    Constant Field Values

### DELIVERY_TRANSPORT_CODE_NONE

    public static final java.lang.String DELIVERY_TRANSPORT_CODE_NONE

  Subscription delivery transport code: None

  See Also:
    Constant Field Values

### DELIVERY_TRANSPORT_CODE_QUEUE

    public static final java.lang.String DELIVERY_TRANSPORT_CODE_QUEUE

  Subscription delivery transport code: Queue

  See Also:
    Constant Field Values

### DELIVERY_TRANSPORT_CODE_WEBDAV

    public static final java.lang.String DELIVERY_TRANSPORT_CODE_WEBDAV

  Subscription delivery transport code: WebDAV

  See Also:
    Constant Field Values

Constructor Detail

### SubscriberDeliveryTransports

    public SubscriberDeliveryTransports()

Method Detail

### getLocalizedDeliveryTransports

    public static final java.lang.String[] getLocalizedDeliveryTransports(int subscriptionType)

  Gets an array of localized strings representing the valid delivery transports for the specified subscription type.

  Parameters:
    `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
  Returns:
    Array of localized strings representing the delivery transports.

### getDeliveryTransportCode

    public static final java.lang.String getDeliveryTransportCode(int subscriptionType,
                                                                  int index)

  Gets the delivery transport code for the specified subscription type and transport index.

  Parameters:
    `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
    `index` - Zero-based index to the desired transport type.
  Returns:
    String Code suitable for use in persisting the delivery transport type preference to the information repository.

### getDefaultDeliveryTransportCode

    public static final java.lang.String getDefaultDeliveryTransportCode(int subscriptionType)

  Gets the code for the default delivery transport for the specified subscription type.

  Parameters:
    `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
  Returns:
    String

### getDeliveryTransportResource

    public static final java.lang.String getDeliveryTransportResource(int subscriptionType,
                                                                      java.lang.String deliveryTransportCode)

  Gets a localized string representing the specified delivery transport code for the specified subscription type.

  Parameters:
    `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
    `deliveryTransportCode` - Code representing a valid delivery transport. Valid delivery transport codes for content subscription delivery are:
    - `DELIVERY_TRANSPORT_CODE_NONE`
    - `DELIVERY_TRANSPORT_CODE_QUEUE`
    - `DELIVERY_TRANSPORT_CODE_WEBDAV`
    - `DELIVERY_TRANSPORT_CODE_EMAIL`
    Valid delivery transport codes for event subscription delivery are:
    - `DELIVERY_TRANSPORT_CODE_NONE`
    - `DELIVERY_TRANSPORT_CODE_QUEUE`
    - `DELIVERY_TRANSPORT_CODE_HTTP`
  Returns:
    Localized resource suitable for representing the delivery transport in a user interface.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.